import os

app_base_path = os.getenv("APP_BASE_PATH", default=os.getcwd())
data_base_path = os.path.join(app_base_path, "data")

model_file_path = {
    "ETH": os.path.join(data_base_path, "eth_model.pkl"),
    "BTC": os.path.join(data_base_path, "btc_model.pkl"),
    "SOL": os.path.join(data_base_path, "sol_model.pkl"),
    "BNB": os.path.join(data_base_path, "bnb_model.pkl"),
    "ARB": os.path.join(data_base_path, "arb_model.pkl"),
}


def get_training_data_path(token):
    return os.path.join(data_base_path, f"{token.lower()}_price_data.csv")
